import React from 'react';
type UtilProps = {
    values?: number[];
};
type StyleProps = {
    left: string;
    position: string;
};
type NativeProps = {
    children: number;
    style: StyleProps;
};
declare const _default: {
    withProps(Component: React.ElementType, props: UtilProps): (nativeProps: NativeProps) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
export declare function setDefaultHandleAriaLabel(value: string): void;
